Package org.eclipse.emf.cdo.spi.common.lock

## Interface InternalCDOLockState

- All Superinterfaces:
    `CDOBranchProvider`, `CDOIDAndBranch`, `CDOIdentifiable`, `CDOLockState`

      public interface InternalCDOLockState
      extends CDOLockState

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.1
  Author:
    Caspar De Groot
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOLockState` | `UNLOCKED` | Deprecated. As of 4.12 no longer supported.

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockState

      `DEPTH_INFINITE, DEPTH_NONE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addReadLockOwner​(CDOLockOwner lockOwner)` |
    `void` | `dispose()` | Deprecated. As of 4.15 no longer used.
    `boolean` | `remapOwner​(CDOLockOwner oldLockOwner, CDOLockOwner newLockOwner)` |
    `boolean` | `removeOwner​(CDOLockOwner lockOwner)` |
    `boolean` | `removeReadLockOwner​(CDOLockOwner lockOwner)` |
    `void` | `setWriteLockOwner​(CDOLockOwner lockOwner)` |
    `void` | `setWriteOptionOwner​(CDOLockOwner lockOwner)` |
    `void` | `updateFrom​(java.lang.Object object, CDOLockState source)` | Deprecated. As of 4.5 use `updateFrom(CDOLockState)` instead.
    `void` | `updateFrom​(CDOLockState source)` | Update the `lockOwners` of this lock state from the one passed in.

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOIDAndBranch

      `getBranch`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIdentifiable

      `getID`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.lock.CDOLockState

      `getLockedObject, getReadLockOwners, getWriteLockOwner, getWriteOptionOwner, isLocked`

- - ### Field Detail

    - #### UNLOCKED

          @Deprecated
          static final CDOLockState UNLOCKED

      Deprecated.
      As of 4.12 no longer supported.
      Since:
        4.6

  - ### Method Detail

    - #### addReadLockOwner

          void addReadLockOwner​(CDOLockOwner lockOwner)

    - #### removeReadLockOwner

          boolean removeReadLockOwner​(CDOLockOwner lockOwner)

    - #### setWriteLockOwner

          void setWriteLockOwner​(CDOLockOwner lockOwner)

    - #### setWriteOptionOwner

          void setWriteOptionOwner​(CDOLockOwner lockOwner)

    - #### removeOwner

          boolean removeOwner​(CDOLockOwner lockOwner)

      Since:
        4.4

    - #### remapOwner

          boolean remapOwner​(CDOLockOwner oldLockOwner,
                             CDOLockOwner newLockOwner)

      Since:
        4.15

    - #### updateFrom

          void updateFrom​(CDOLockState source)

      Update the `lockOwners` of this lock state from the one passed in.
      Since:
        4.5

    - #### updateFrom

          @Deprecated
          void updateFrom​(java.lang.Object object,
                          CDOLockState source)

      Deprecated.
      As of 4.5 use `updateFrom(CDOLockState)` instead. The lockedObject field cannot be changed because it is used to compute the hash code. Instantiate a new `CDOLockState` object if you want to update the lockedObject field.
      Since:
        4.2

    - #### dispose

          @Deprecated
          void dispose()

      Deprecated.
      As of 4.15 no longer used.
      Since:
        4.2